// JavaScript Document

// INSTALL ADMOBBPRO PLUGIN
// https://github.com/floatinghotpot/cordova-admob-pro
// cordova plugin add cordova-plugin-admobpro

/*
document.addEventListener("deviceready", initApp, false);

function initApp()
{
	initAdMob('ca-app-pub-5893700017476440/1073541365',
              'ca-app-pub-5893700017476440/6815900167');
}

*/

// ADMOB
var admobid    = {};
var admobMin   = 3;
var admobMax   = 5;
 
function initAdMob(bannerid,interid)
{
	// bannerid, interid - from AdMob.com
	
	resetInterstitialAds();
	
 if( /(android)/i.test(navigator.userAgent) ) 
  {
    admobid = { // for Android
      banner: bannerid,
      interstitial: interid
    };
  } else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
    admobid = { // for iOS
      banner: bannerid,
      interstitial: interid
    };
  } else {
    admobid = { // for Windows Phone
      banner: bannerid,
      interstitial: interid
    };
  }
  
    if (! AdMob) 
	 {
		// alert( 'admob plugin not ready' );
		 return; 
	 }
	
	  AdMob.setOptions({
      // adSize: 'SMART_BANNER',
      // width: integer, // valid when set adSize 'CUSTOM'
      // height: integer, // valid when set adSize 'CUSTOM'
      position: AdMob.AD_POSITION.BOTTOM_CENTER,
      // offsetTopBar: false, // avoid overlapped by status bar, for iOS7+
      bgColor: 'black', // color name, or '#RRGGBB'
      // x: integer,    // valid when set position to 0 / POS_XY
      // y: integer,    // valid when set position to 0 / POS_XY
      isTesting: false, // set to true, to receiving test ad for testing purpose
      autoShow: true // auto show interstitial ad when loaded, set to false if prepare/show
    });
	
     AdMob.createBanner({
        adId: admobid.banner,
        overlap: false,
        offsetTopBar: false,
        adSize: 'SMART_BANNER',
        position: 8, // bottom center
	//	position: AdMob.AD_POSITION.BOTTOM_CENTER,
      });
	  
	  AdMob.prepareInterstitial({
        adId: admobid.interstitial,
        autoShow: false
    });
	
	// show banner
	showBannerAds();
}

function showBannerAds()
{
    AdMob.showBanner(8); // bottom center
}
  
function hideBannerAds()
{
    AdMob.hideBanner();
}

function showInterstitialAds()
{
    AdMob.showInterstitial();	
}


// Function to handle Interstitial ads
// To randomly display at certain counter

function setMinMaxAds(imin,imax)
{
   if (imin > 3)
   admobMin   = imin;
   
   if (imax > 3)
   admobMax   = imax;	
}

function resetInterstitialAds()
{   
   if ( (localStorage.getItem("adsCounter") == null) ||
	    (localStorage.getItem("adsCounter") == 'undefined')	||
		(localStorage.getItem("adsCounter") == '') )
   {
     localStorage.setItem("adsCounter", '0');
   }
   
     if ( (localStorage.getItem("adsMaxCounter") == null) ||
	    (localStorage.getItem("adsMaxCounter") == 'undefined')	||
		(localStorage.getItem("adsMaxCounter") == '') )
    {
      localStorage.setItem("adsMaxCounter", admobMax.toString());   // initial is set to 3 max. When reached it will display ADS 
    }
}

function goInterstitialAds()
{
   // counter for displaying ads
   	if (parseInt(localStorage.getItem("adsCounter")) >= parseInt(localStorage.getItem("adsMaxCounter")))
	{
		    localStorage.setItem("adsCounter",'0'); // reset to zero
			
			// Math.floor(Math.random() * (max - min + 1)) + min;
			// Math.floor(Math.random() * (5 - 3 + 1)) + 3;
			
			var randomnumber = Math.floor(Math.random() * (admobMax - admobMin + 1)) + admobMin;
			
			localStorage.setItem("adsMaxCounter",randomnumber.toString());
			
			//alert('Show Google Adsense');
			
			//if( /(android)/i.test(navigator.userAgent) ) 
		    showInterstitialAds();
	}
    else
	{
       var counter = parseInt(localStorage.getItem("adsCounter")) + 1;
	   localStorage.setItem("adsCounter",counter.toString());
	}
	
 //   alert('Google Ads: MAX =  ' + localStorage.getItem("adsMaxCounter") + ' Counter: ' + localStorage.getItem("adsCounter"));
}