// JavaScript Document

function CurrencyFormat2(number,code)
{
   var scode = '';
   var decimalplaces = 2;
   var decimalcharacter = ".";
   var thousandseparater = ",";
   number = parseFloat(number);
   var sign = number < 0 ? "-" : "";
   var formatted = new String(number.toFixed(decimalplaces));
   if( decimalcharacter.length && decimalcharacter != "." ) { formatted = formatted.replace(/\./,decimalcharacter); }
   var integer = "";
   var fraction = "";
   var strnumber = new String(formatted);
   var dotpos = decimalcharacter.length ? strnumber.indexOf(decimalcharacter) : -1;
   if( dotpos > -1 )
   {
      if( dotpos ) { integer = strnumber.substr(0,dotpos); }
      fraction = strnumber.substr(dotpos+1);
   }
   else { integer = strnumber; }
   if( integer ) { integer = String(Math.abs(integer)); }
   while( fraction.length < decimalplaces ) { fraction += "0"; }
   temparray = new Array();
   while( integer.length > 3 )
   {
      temparray.unshift(integer.substr(-3));
      integer = integer.substr(0,integer.length-3);
   }
   temparray.unshift(integer);
   integer = temparray.join(thousandseparater);
   
   if (code.length > 1)
      scode = code;
	else
	  scode = '';
	  
   return sign + scode + integer + decimalcharacter + fraction;
}

/**
 * Generates a GUID string.
 * @returns {String} The generated GUID.
 * @example af8a8416-6e18-a307-bd9c-f2c947bbb3aa
 * @author Slavik Meltser (slavik@meltser.info).
 * @link http://slavik.meltser.info/?p=142
 */
function guid() {
    function _p8(s) {
        var p = (Math.random().toString(16)+"000000000").substr(2,8);
        return s ? "-" + p.substr(0,4) + "-" + p.substr(4,4) : p ;
    }
    return 'powergold-' + _p8() + _p8(true) + _p8(true) + _p8();
}

 
 function dateCompare(DateA, DateB) 
 {     // this function is good for dates > 01/01/1970

    var a = new Date(DateA);
    var b = new Date(DateB);

    var msDateA = Date.UTC(a.getFullYear(), a.getMonth()+1, a.getDate());
    var msDateB = Date.UTC(b.getFullYear(), b.getMonth()+1, b.getDate());

    if (parseFloat(msDateA) < parseFloat(msDateB))
      return -1;  // lt
    else if (parseFloat(msDateA) == parseFloat(msDateB))
      return 0;  // eq
    else if (parseFloat(msDateA) > parseFloat(msDateB))
      return 1;  // gt
    else
      return null;  // error
}

function formatDate2(tdate)
{

  var dString = tdate;
   
   var dParts = dString.split('-');
	
    var expDate = new Date(dParts[0] + '/' +
                           dParts[1] + '/' +
                           (+dParts[2])
                           );
	
	var expdd = expDate.getDate();
    var expmm = expDate.getMonth()+1; //January is 0!

    var expyyyy = expDate.getFullYear();
    if(expdd<10){
        expdd='0'+expdd
    } 
    if(expmm<10){
        expmm='0'+expmm
    } 
	
    var fdate = expdd+'/'+expmm+'/'+expyyyy;
		   
   return fdate;
 }
 
 function dateFormatHargaEmas(cdate)
 {
    var dParts = cdate.split('-');
	
	// DATE FORMAT: YYYY-MM-DD
	
    var expDate = new Date(dParts[0] + '/' +
                           dParts[1] + '/' +
                           (+dParts[2])
                           );
	
	var expdd = expDate.getDate();
    var expmm = expDate.getMonth()+1; //January is 0!

    var expyyyy = expDate.getFullYear();
    if(expdd<10){
        expdd='0'+expdd
    } 
    if(expmm<10){
        expmm='0'+expmm
    } 
	
    var fdate = expdd+'/'+expmm+'/'+expyyyy;
	//var fnow = dayNames[expDate.getDay()] + ", " + monthNames[expDate.getMonth()] + " " + expDate.getDate() + ", " + expDate.getFullYear();
    var fnow = dayNames[expDate.getDay()] + ", " + expDate.getDate() + " " + monthNames[expDate.getMonth()] + " " + expDate.getFullYear();
				   
	return fnow;
	 
 }
 
function blurButton(id)
{
  $(id).removeClass("ui-btn-active ui-focus ui-state-hover");
  $(id).blur();
}

/* ======================= KALKULATOR JUALAN ============== */

$(document).on("pageshow", "#calculator-profit", function(){ $("#calc-profit-price-appkey").val(guid()); } );

function calculateProfit()
{
  var vbuy = formatCurrency($('#calc-profit-price-buy').val());
  
  if (parseFloat(vbuy) <= 0.00)
 {
 //  navigator.notification.alert("Sila masukkan harga anda beli dalam RM",null,"Kalkulator Jual Beli","OK");	
    alert ('Sila masukkan harga beli');
  }
  else
  {
     submitAjaxCalculateProfit(); 
  } 
}

function submitAjaxCalculateProfit()
{		  
     var formData = $("#form-calc-profit").serialize();

     var urlData  = baseUrl + "pg-calculator-profit.php";
	  
	  showLoader('Sila tunggu sebentar...!');
		
	 $.ajax({
	   type: "POST", 
       url: urlData,
	   dataType: "xml",
	   data: formData,
	   success: onSuccessCalculatorProfit,
	   error: onErrorCalculatorProfit
        });

        return false;
}

function onSuccessCalculatorProfit(data)
{		
   var status;
   var errmsg;
   var dbmsg;
   
   var buyprice = 0;
   
   var product       = "";
   
   var sellprice   = 0;
   var sellprofit  = 0;
   var sellpercent = 0;
   
   var marketprice   = 0;
   var marketprofit  = 0;
   var marketpercent = 0;
 
   var memberprice   = 0;
   var memberprofit  = 0;
   var memberpercent = 0;
   
   var stockistprice   = 0;
   var stockistprofit  = 0;
   var stockistpercent = 0;
 
   var buybackprice   = 0;
   var buybackprofit  = 0;
   var buybackpercent = 0;
   
   var $xml   = $( data );
			 
   $($xml).find("pgcalcprofit").each(function () {
   
	   status         = $(this).find("status").text();
	   
	   product     = $(this).find("product").text();
	   buyprice    = $(this).find("buyprice").text();
	   
       sellprice   = $(this).find("sellprice").text();
	   sellprofit  = $(this).find("sellprofit").text();
       sellpercent = $(this).find("sellpercent").text();
	   
       marketprice   = $(this).find("marketprice").text();
	   marketprofit  = $(this).find("marketprofit").text();
       marketpercent = $(this).find("marketpercent").text();

       memberprice   = $(this).find("memberprice").text();
	   memberprofit  = $(this).find("memberprofit").text();
       memberpercent = $(this).find("memberpercent").text();
	   
       stockistprice   = $(this).find("stockistprice").text();
	   stockistprofit  = $(this).find("stockistprofit").text();
       stockistpercent = $(this).find("stockistpercent").text();
	   
       buybackprice   = $(this).find("buybackprice").text();
	   buybackprofit  = $(this).find("buybackprofit").text();
       buybackpercent = $(this).find("buybackpercent").text();
	   
	   errmsg         = $(this).find("errormsg").text();
	   dbmsg          = $(this).find("dbmsg").text();
			
	}); // for each
			 
	var msg = 'status: ' + status + ' - errmsg: ' + errmsg + ' - dbmsg: ' + dbmsg;
			
	if (status=="1") 
	{	
	    $("#calc-profit-product").text(product);
		$("#calc-profit-buyprice").text(CurrencyFormat2(buyprice,'RM'));
        $("#calc-profit-buyprice2").text(CurrencyFormat2(buyprice,'RM'));
        $("#calc-profit-buyprice3").text(CurrencyFormat2(buyprice,'RM'));
        $("#calc-profit-buyprice4").text(CurrencyFormat2(buyprice,'RM'));
        $("#calc-profit-buyprice5").text(CurrencyFormat2(buyprice,'RM'));
        $("#calc-profit-buyprice6").text(CurrencyFormat2(buyprice,'RM'));

	    $("#calc-profit-sell-price").text(CurrencyFormat2(sellprice,'RM'));
		$("#calc-profit-sell-profit").text(CurrencyFormat2(sellprofit,'RM'));
	    $("#calc-profit-sell-percent").text(sellpercent+'%');
		
		var ctext = sellprofit < 0 ? "#FF0000" : "#009900";
		$("#calc-profit-sell-profit").css({  "color" : ctext });
		$("#calc-profit-sell-percent").css({  "color" : ctext });
		
	    $("#calc-profit-market-price").text(CurrencyFormat2(marketprice,'RM'));
		$("#calc-profit-market-profit").text(CurrencyFormat2(marketprofit,'RM'));
	    $("#calc-profit-market-percent").text(marketpercent+'%');
		
	    ctext = parseFloat(marketprofit) < 0 ? "#FF0000" : "#009900";
		$("#calc-profit-market-profit").css({ "color" : ctext });
		$("#calc-profit-market-percent").css({ "color" : ctext });
		
	    $("#calc-profit-member-price").text(CurrencyFormat2(memberprice,'RM'));
		$("#calc-profit-member-profit").text(CurrencyFormat2(memberprofit,'RM'));
	    $("#calc-profit-member-percent").text(memberpercent+'%');
		
	    ctext = parseFloat(memberprofit) < 0 ? "#FF0000" : "#009900";
		$("#calc-profit-member-profit").css({ "color" : ctext });
		$("#calc-profit-member-percent").css({ "color" : ctext });
		
	    $("#calc-profit-stockist-price").text(CurrencyFormat2(stockistprice,'RM'));
		$("#calc-profit-stockist-profit").text(CurrencyFormat2(stockistprofit,'RM'));
	    $("#calc-profit-stockist-percent").text(stockistpercent+'%');
		
	    ctext = parseFloat(stockistprofit) < 0 ? "#FF0000" : "#009900";
		$("#calc-profit-stockist-profit").css({ "color" : ctext });
		$("#calc-profit-stockist-percent").css({ "color" : ctext });
		
	    $("#calc-profit-buyback-price").text(CurrencyFormat2(buybackprice,'RM'));
		$("#calc-profit-buyback-profit").text(CurrencyFormat2(buybackprofit,'RM'));
	    $("#calc-profit-buyback-percent").text(buybackpercent+'%');
		
	   ctext = parseFloat(buybackprofit) < 0 ? "#FF0000" : "#009900";
		$("#calc-profit-buyback-profit").css({ "color" : ctext });
		$("#calc-profit-buyback-percent").css({ "color" : ctext });
		
	    hideLoader();
		goInterstitialAds();
	}
	else
	{
	   hideLoader();
	   alert('Maaf, arahan tidak dapat di laksanakan...Sila cuba sebentar lagi!');
	}
}
  
function onErrorCalculatorProfit(jqXHR, textStatus, errorThrown)
{
    hideLoader();
   // alertMsg('Error: ' + errorThrown + ' jqXHR '+ jqXHR.status + ' textStatus: ' + textStatus);
    alert('Maaf, arahan tidak dapat di laksanakan...Sila cuba sebentar lagi!');
}

 
 /* ========================== ANALISA HARGA EMAS ============================ */
 
 $(document).on("pageinit", "#analisa-harga-emas", function(){  $('#div-analisa-harga-emas-title').hide(); } );


function resizeFontHargaEmas(screenwidth,tableid)
{
	
         if (screenwidth <= 320)
		 {
		   $('#'+tableid).css({ "font-size" : "0.65em" }); 
		 }
		 else if ( screenwidth > 320 && screenwidth <= 360 )
		 {
		   $('#'+tableid).css({ "font-size" : "0.75em" }); 
		 }
}

function analisaHargaEmas()
{
   var sd = $('input[id=analisa-start-date]').val(); 
   var ed = $('input[id=analisa-end-date]').val();
  
   $('#div-analisa-harga-emas').html(""); // reset to blank
   $('#div-analisa-harga-emas-title').hide();
   
   var cp = dateCompare(sd,ed);
   
   blurButton('#btn-analisa-harga-emas');
   
   if (cp >= 0)
   {
      alert('Tarikh Pertama mesti lebih awal dari Tarikh Kedua');
   }
   else
   {
   
     var answer = confirm("Tarikh Pertama ["+formatDate2(sd)+"] & Tarikh Kedua ["+formatDate2(ed)+"]. Anda Pasti?")
	
	if (answer)
	   analisaHargaEmasAjax();
  }
}

function analisaHargaEmasAjax()
{ 
	  var formData = $("#form-analysys").serialize();
	  
      showLoader('Sila tunggu sebentar...!');
	  
	  var urlData  = baseUrl + 'analysys-pg-price-xml.php';
		
	 $.ajax({
	   type: "POST", 
       url: urlData,
	   dataType: "xml",
	   data: formData,
	   success: onSuccessAnalisaHargaEmas,
	   error: onErrorAnalisaHargaEmas
        });

        return false;
   }


function onSuccessAnalisaHargaEmas(data)
{
 
    var $xml   = $( data );  
			 
    $($xml).find("analysys").each(function () {
   
       status    = $(this).find("status").text();
	   minVal    = $(this).find("MinVal").text();
	   maxVal    = $(this).find("MaxVal").text();
       diffVal   = $(this).find("DiffVal").text();
       diffPercent  = $(this).find("DiffPercent").text();
	   errmsg    = $(this).find("errormsg").text();
	   dbmsg     = $(this).find("dbmsg").text();
	   	      
	   if (status == "1")
	   {
	   // alert('minVal: ' + minVal + ' - maxVal: ' + maxVal);
		 
		 sd = $('input[id=analisa-start-date]').val(); 
		 ed = $('input[id=analisa-end-date]').val();
		 
		 $('#analisa-start-date-val').text(formatDate2(sd));  
		 $('#analisa-end-date-val').text(formatDate2(ed)); 
		 		 
	    $('#analisa-start-price').text(CurrencyFormat2(minVal,'RM'));
		$('#analisa-end-price').text(CurrencyFormat2(maxVal,'RM'));
		
	    $('#analisa-diff-price').text(CurrencyFormat2(diffVal,'RM'));
		$('#analisa-diff-percent').text(diffPercent);
		
	    ctext = parseFloat(diffVal) < 0 ? "#FF0000" : "#009900";
		$('#analisa-diff-price').css({ "color" : ctext });
		$('#analisa-diff-percent').css({ "color" : ctext });
		
		}
		
		hideLoader();
		goInterstitialAds();
	   
	}); // for each
	
}

function onErrorAnalisaHargaEmas(jqXHR, textStatus, errorThrown)
{
  hideLoader();
  alert('Maaf, arahan tidak dapat di laksanakan...sila cuba sebentar lagi!');
}


function analisaHargaEmasStartDate()
{
 var sd = $('input[id=analisa-start-date]').val(); 
 
 // convert date to format YYYY-MM-DD
 blurButton('#button-start-date');
 
 var sdv = $('#analisa-start-date-val').text();
 
  // check for valid date
 if (sdv.length > 1)
 {
    var fnow = dateFormatHargaEmas(sd);
    $("#div-analisa-clockbox").html(fnow);
    $('#div-analisa-harga-emas-title').show();
	
    getAjaxAnalisaHargaEmasCustomDate(sd);
 }
}

function analisaHargaEmasEndDate()
{
   var ed = $('input[id=analisa-end-date]').val(); 
 
   // convert date to format YYYY-MM-DD
   blurButton('#button-end-date');
   
    var edv = $('#analisa-end-date-val').text();
	
   // check for valid date
    if (edv.length > 1)
   { 
	 var fnow = dateFormatHargaEmas(ed);
     $("#div-analisa-clockbox").html(fnow);
     $('#div-analisa-harga-emas-title').show();
 
     getAjaxAnalisaHargaEmasCustomDate(ed);
   
   } // ed
}

function getAjaxAnalisaHargaEmasCustomDate(cdate)
{
   var tableid = 'table-harga-emas-analisa';
   
   showLoader('Muat Turun Harga Emas...Sila Tunggu!');
	     
	// get size of the screen page harga emas
	var screenwidth  = $("#analisa-harga-emas").innerWidth();
	
	var urlData = baseUrl + 'latestpricecustom.php?' + Math.random() + '&cdate=' + cdate + '&ver=' + getAppVersion() + '&appkey=' + guid() + '&screenwidth=' + screenwidth  + '&tableid=' + tableid;
	
	$.ajax({
		  url: urlData,
          timeout: 9000, // 1000 ms
          success: function (data)
		  {
			  hideLoader();
			  
			 // alert('width: ' + screenwidth + ' ' + data);
              alert('Muat turun harga emas berjaya...Sila skrol ke bawah');
			  
              $('#div-analisa-harga-emas').html(data);
			  
		         // resize the font
		       resizeFontHargaEmas(screenwidth,tableid);
			  
			  goInterstitialAds();
			  
          }, // success
		  
		   error: function (jqXHR, textStatus, errorThrown)
		   {
			   hideLoader();
			  navigator.notification.alert("Muat turun harga emas gagal..sila cuba lagi",null,"Harga Emas Power Gold","OK"); 
		   }
        });
	
}

