// handling document ready and phonegap deviceready
window.addEventListener('load', function () {
    document.addEventListener('deviceready', onDeviceReady, false);
}, false);

// Phonegap is loaded and can be used
function onDeviceReady(){
	getDeviceInfo();
}

// get device info
function getDeviceInfo(){
	$('#devName').text(device.name);
	$('#devPlatform').text(device.platform);
	$('#devUUID').text(device.uuid);
	$('#devVersion').text(device.version);
	$('#devPhonegap').text(device.phonegap);
}
