// JavaScript Document

// INSTALL ADMOBFREE PLUGIN
// https://github.com/ratson/cordova-plugin-admob-free

/*
document.addEventListener("deviceready", initApp, false);

function initApp()
{
	initAdMob('ca-app-pub-5893700017476440/1073541365',
              'ca-app-pub-5893700017476440/6815900167');
}

*/

// ADMOB
var admobid    = {};
var admobMin   = 3;
var admobMax   = 8;
 
function initAdMob(bannerid,interid)
{
	// bannerid, interid - from AdMob.com
	
	resetInterstitialAds();
	
	admob.banner.config({
             id: bannerid,
			 autoShow:true,
             isTesting:false,
             overlap:false
            });
	
    // Create banner
    admob.banner.prepare();
	  
	 admob.interstitial.config({
        id: interid,
		isTesting: false,
        autoShow: false,
     });
	 
    admob.interstitial.prepare();
  
	// show banner
	showBannerAds();
}


function showBannerAds()
{
	if( /(android)/i.test(navigator.userAgent) ) 
         admob.banner.show();
}
  
function hideBannerAds()
{
	if( /(android)/i.test(navigator.userAgent) )
        admob.banner.hide();
}

function showInterstitialAds()
{
	if( /(android)/i.test(navigator.userAgent) ) 
	{
	   //admob.interstitial.prepare();
       admob.interstitial.show();
	   
	}
}

document.addEventListener('admob.interstitial.events.CLOSE', function(event) {
 // console.log(event)

 // alert ('close interstitial');
  
  admob.interstitial.prepare()
})

// Function to handle Interstitial ads
// To randomly display at certain counter

function setMinMaxAds(imin,imax)
{
   if (imin > 3)
   admobMin   = imin;
   
   if (imax > 3)
   admobMax   = imax;	
}

function resetInterstitialAds()
{   
   if ( (localStorage.getItem("adsCounter") == null) ||
	    (localStorage.getItem("adsCounter") == 'undefined')	||
		(localStorage.getItem("adsCounter") == '') || 
		(isNaN(localStorage.getItem("adsCounter")) == true)
		)
     {
        localStorage.setItem("adsCounter","0");
     }
   
     if ( (localStorage.getItem("adsMaxCounter") == null) ||
	    (localStorage.getItem("adsMaxCounter") == 'undefined')	||
		(localStorage.getItem("adsMaxCounter") == '') ||
		(isNaN(localStorage.getItem("adsMaxCounter")) == true)
		)
    {
      localStorage.setItem("adsMaxCounter", admobMax.toString());   // initial is set to 3 max. When reached it will display ADS 
    }
}

function goInterstitialAds()
{
	resetInterstitialAds(); 
	// to be saved when running using normal browser
	// as initAds only be called upon deviceready event
	
   // counter for displaying ads
   	if (parseInt(localStorage.getItem("adsCounter")) >= parseInt(localStorage.getItem("adsMaxCounter")))
	{
		    localStorage.setItem("adsCounter","0"); // reset to zero
			
			// Math.floor(Math.random() * (max - min + 1)) + min;
			// Math.floor(Math.random() * (5 - 3 + 1)) + 3;
			
			var randomnumber = Math.floor(Math.random() * (admobMax - admobMin + 1)) + admobMin;
			
			localStorage.setItem("adsMaxCounter",randomnumber.toString());
			
		//	alert('Show Google Adsense');

		    showInterstitialAds();
	}
    else
	{
       var counter = parseInt(localStorage.getItem("adsCounter")) + 1;
	   localStorage.setItem("adsCounter",counter.toString());
	}
	
  // alert('Google Ads: MAX =  ' + localStorage.getItem("adsMaxCounter") + ' Counter: ' + localStorage.getItem("adsCounter"));
}